<template>
  <div>
    <!-- CUADRADITOS DEL INFORMACION DEL ESTADO DE PEDIDO -->

    <section style="margin:0 2rem 2rem 3rem">
      <div>
        <el-row :gutter="20">
          <el-col :span="colBoxes" style="margin-bottom: 10px;" v-if="TextSquareGray !== ''">
            <div class="flex element-bloq-center" > 
              <div class="border-radius-light l-grey" style="margin-right:1rem; height:25px; width:25px"></div> 
              <span> {{ TextSquareGray }} </span>
            </div>
          </el-col>
          <el-col :span="colBoxes" style="margin-bottom: 10px;" v-if="TextSquarePurple !== ''">
            <div class="flex element-bloq-center"> 
              <div class="border-radius-light l-purple" style="margin-right:1rem; height:25px; width:25px"></div> 
              <span> {{ TextSquarePurple }} </span>
            </div>
          </el-col>
          <el-col :span="colBoxes" style="margin-bottom: 10px;" v-if="TextSquareRed !== ''">
            <div class="flex element-bloq-center"> 
              <div class="border-radius-light bg-red" style="margin-right:1rem; height:25px; width:25px"></div> 
              <span> {{ TextSquareRed }} </span>
            </div>
          </el-col>
          <el-col :span="colBoxes" style="margin-bottom: 10px;" v-if="TextSquareBlue !== ''">
            <div class="flex element-bloq-center" > 
              <div class="border-radius-light l-blue" style="margin-right:1rem; height:25px; width:25px"></div> 
            <span> {{ TextSquareBlue }} </span></div>
          </el-col>
          <el-col :span="colBoxes" style="margin-bottom: 10px;" v-if="TextSquareOrange !== ''">
            <div class="flex element-bloq-center" > 
              <div class="border-radius-light l-orange" style="margin-right:1rem; height:25px; width:25px"></div> 
              <span> {{ TextSquareOrange }} </span>
            </div>
          </el-col>
          <el-col :span="colBoxes" style="margin-bottom: 10px;">
            <div class="flex element-bloq-center"> 
              <div class="border-radius-light l-green" style="margin-right:1rem; height:25px; width:25px"></div> 
              <span> {{ TextSquareGreen }} </span>
            </div>
          </el-col>
        </el-row>
      </div>
    </section>

  </div>
</template>

<script>
  export default {
    props: {
      TextSquareGray: {
        type: String,
        default: 'Pedido pendiente de llegada'
      },
      TextSquareGreen: {
        type: String,
        default: 'Recepcion completa'
      },
      TextSquareRed: {
        type: String,
        required: false,
        default: 'Recepcion incompleta'
      },
      TextSquareBlue: {
        type: String,
        required: false,
        // default: 'Aprobado, pero no emitido'
      },
      TextSquareOrange: {
        type: String,
        required: false,
        default: 'Aprobado y al aire'
      },
      TextSquarePurple: {
        type: String,
        required: false,
        default: 'Incompleto'
      },
      colBoxes: {
        type: Number,
        default: 8
      }
    }
  }
</script>

